ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Core.Opt.WorkWrap

# Documentation

data WwOpts Source #

Constructors

MkWwOpts |

Fields

- wo_fam_envs :: !FamInstEnvs

  Environment of type/data family instances

- wo_simple_opts :: !SimpleOpts

  Options for the "Simple optimiser"

- wo_cpr_anal :: !Bool

  Whether to enable "Constructed Product Result" analysis. (Originally from DOI: 10.1017/S0956796803004751)

- wo_module :: !Module

  Used for absent argument error message

- wo_unlift_strict :: !Bool

  Generate workers even if the only effect is some args get passed unlifted. See Note [WW for calling convention]

wwTopBinds :: WwOpts -> UniqSupply -> CoreProgram -> CoreProgram Source #